Browse Source

Fix curl check when offline

pull/124/head
Weilbyte 3 years ago
parent
commit
a73eb2d41e
No known key found for this signature in database GPG Key ID: E1EB2BFCF73B5B9F
  1. 10
      PVEDiscordDark.sh

10
PVEDiscordDark.sh

@ -37,11 +37,6 @@ hash sed 2>/dev/null || {
exit 1;
}
hash curl 2>/dev/null || {
echo -e >&2 "${BRED}cURL is required but missing from your system${REG}";
exit 1;
}
hash pveversion 2>/dev/null || {
echo -e >&2 "${BRED}PVE installation required but missing from your system${REG}";
exit 1;
@ -50,6 +45,11 @@ hash pveversion 2>/dev/null || {
if test -d "$OFFLINEDIR"; then
echo "Offline directory detected, entering offline mode."
OFFLINE=true
else
hash curl 2>/dev/null || {
echo -e >&2 "${BRED}cURL is required but missing from your system${REG}";
exit 1;
}
fi
if [ "$OFFLINE" = false ]; then

Loading…
Cancel
Save